function my_keyboard(fac, sfreq)
% make keyboard, whole tone steps

x = [-100*pi:0.1:100*pi];

ch = getkey('non-ascii'); % get the first key press

while ~strcmp(ch, 'x'),  % as long as the key press is not "x"
    
    freq = 440 + str2num(ch)*(440/7); % convert key into a frequency
    
    sound( sin(fac*freq*x), sfreq ); % play the sound
    
    ch=getkey('non-ascii'); % get the next key press, abort if it's "x"
    
end